## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLQueryArgumentList

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface XMLQueryArgumentList

extends SQLQueryObject

A representation of the model object 'XML Query Argument List'. Represents an XML Query argument list. See ISO SQL/XML sec. 6.17. <note>The list is modelled as an explicit object rather than just as a list of XMLQueryArgument objects attached to the parent so that the list as whole can have an optional passing mechanism clause.</note>

The following features are supported:

- `Passing Mechanism`
- `Predicate Exists`
- `Xquery Arg List Children`
- `Value Function Query`
- `Table Function`

See Also:
  `SQLXMLQueryModelPackage.getXMLQueryArgumentList()`

Method Summary
`XMLPassingType` `getPassingMechanism()` Returns the value of the 'Passing Mechanism' attribute.
`XMLPredicateExists` `getPredicateExists()` Returns the value of the 'Predicate Exists' container reference.
`XMLTableFunction` `getTableFunction()` Returns the value of the 'Table Function' container reference.
`XMLValueFunctionQuery` `getValueFunctionQuery()` Returns the value of the 'Value Function Query' container reference.
`org.eclipse.emf.common.util.EList` `getXqueryArgListChildren()` Returns the value of the 'Xquery Arg List Children' containment reference list.
`void` `setPassingMechanism(XMLPassingType value)` Sets the value of the '`Passing Mechanism`' attribute.
`void` `setPredicateExists(XMLPredicateExists value)` Sets the value of the '`Predicate Exists`' container reference.
`void` `setTableFunction(XMLTableFunction value)` Sets the value of the '`Table Function`' container reference.
`void` `setValueFunctionQuery(XMLValueFunctionQuery value)` Sets the value of the '`Value Function Query`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPassingMechanism

    XMLPassingType getPassingMechanism()

  Returns the value of the 'Passing Mechanism' attribute. The literals are from the enumeration `XMLPassingType`.

  If the meaning of the 'Passing Mechanism' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Passing Mechanism' attribute.
  See Also:
    `XMLPassingType`, `setPassingMechanism(XMLPassingType)`, `SQLXMLQueryModelPackage.getXMLQueryArgumentList_PassingMechanism()`

### setPassingMechanism

    void setPassingMechanism(XMLPassingType value)

  Sets the value of the '`Passing Mechanism`' attribute.

  Parameters:
    `value` - the new value of the 'Passing Mechanism' attribute.
  See Also:
    `XMLPassingType`, `getPassingMechanism()`

### getPredicateExists

    XMLPredicateExists getPredicateExists()

  Returns the value of the 'Predicate Exists' container reference. It is bidirectional and its opposite is '`Xquery Arg List`'.

  If the meaning of the 'Predicate Exists' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Predicate Exists' container reference.
  See Also:
    `setPredicateExists(XMLPredicateExists)`, `SQLXMLQueryModelPackage.getXMLQueryArgumentList_PredicateExists()`, `XMLPredicateExists.getXqueryArgList()`

### setPredicateExists

    void setPredicateExists(XMLPredicateExists value)

  Sets the value of the '`Predicate Exists`' container reference.

  Parameters:
    `value` - the new value of the 'Predicate Exists' container reference.
  See Also:
    `getPredicateExists()`

### getXqueryArgListChildren

    org.eclipse.emf.common.util.EList getXqueryArgListChildren()

  Returns the value of the 'Xquery Arg List Children' containment reference list. The list contents are of type `XMLQueryArgumentItem`. It is bidirectional and its opposite is '`Xquery Arg List`'.

  If the meaning of the 'Xquery Arg List Children' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xquery Arg List Children' containment reference list.
  See Also:
    `SQLXMLQueryModelPackage.getXMLQueryArgumentList_XqueryArgListChildren()`, `XMLQueryArgumentItem.getXqueryArgList()`

### getValueFunctionQuery

    XMLValueFunctionQuery getValueFunctionQuery()

  Returns the value of the 'Value Function Query' container reference. It is bidirectional and its opposite is '`Xquery Arg List`'.

  If the meaning of the 'Value Function Query' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Function Query' container reference.
  See Also:
    `setValueFunctionQuery(XMLValueFunctionQuery)`, `SQLXMLQueryModelPackage.getXMLQueryArgumentList_ValueFunctionQuery()`, `XMLValueFunctionQuery.getXqueryArgList()`

### setValueFunctionQuery

    void setValueFunctionQuery(XMLValueFunctionQuery value)

  Sets the value of the '`Value Function Query`' container reference.

  Parameters:
    `value` - the new value of the 'Value Function Query' container reference.
  See Also:
    `getValueFunctionQuery()`

### getTableFunction

    XMLTableFunction getTableFunction()

  Returns the value of the 'Table Function' container reference. It is bidirectional and its opposite is '`Xquery Arg List`'.

  If the meaning of the 'Table Function' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Function' container reference.
  See Also:
    `setTableFunction(XMLTableFunction)`, `SQLXMLQueryModelPackage.getXMLQueryArgumentList_TableFunction()`, `XMLTableFunction.getXqueryArgList()`

### setTableFunction

    void setTableFunction(XMLTableFunction value)

  Sets the value of the '`Table Function`' container reference.

  Parameters:
    `value` - the new value of the 'Table Function' container reference.
  See Also:
    `getTableFunction()`